For the complete documentation index, see llms.txt. This page is also available as Markdown.

Raw Transactions (Advanced)

1. Lend NFT for rental

This operation will list the NFT on DApp for rentals.

post

List NFT for rent

Body
nftmintstringOptionalExample: 1
ratestringOptionalExample: 10
offerdurationstringOptionalExample: 1
isfixedbooleanOptionalExample: true
fixedminutesstringOptionalExample: 10
ownersharestringOptionalExample: 10
whiteliststringOptionalExample: 0x1234abcd5678efgh9012ijkl3456mnop
secretstringOptionalExample: abcd
rawbooleanOptionalExample: true
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/lendToken
POST /lendToken HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 176

{
  "nftmint": "1",
  "rate": "10",
  "offerduration": "1",
  "isfixed": true,
  "fixedminutes": "10",
  "ownershare": "10",
  "whitelist": "0x1234abcd5678efgh9012ijkl3456mnop",
  "secret": "abcd",
  "raw": true
}
{
  "msg": "successful"
}

2. Take Rent for any NFT

User can take any NFT on rent for provided time duration.

post

Rent a listed nft

Body
durationminutesstringOptionalExample: 60
nftmintstringOptionalExample: 1
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/processRent
POST /processRent HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "durationminutes": "60",
  "nftmint": "1",
  "secret": "abcd",
  "raw": "false"
}
{
  "msg": "successful"
}

3. Cancel Rent

Cancel the rental offer and retrieve back the NFT.

post

Cancel a listed rent nft

Body
nftmintstringOptionalExample: 1
secretstringOptionalExample: abcd
rawbooleanOptionalExample: false
Responses
200

Successful response

application/json; charset=utf-8
msgstringOptionalExample: successful
post/removeLendToken
POST /removeLendToken HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 43

{
  "nftmint": "1",
  "secret": "abcd",
  "raw": false
}
{
  "msg": "successful"
}

4. Get User Assets

This operation retrieves the assets of a specific user.

5. Get Asset Manager

This operation retrieves the asset manager.

get

Retrieves the assets owned by a specific user.

Path parameters
mintstringOptionalExample: 7YeSmq9njjsyr4Axb1LDzdooUaVJThXdgHE4Z6Gpaa3h
Responses
200

Successful response

application/json; charset=utf-8
publicKeystringOptional
get/getAssetInfo/{mint}
GET /getAssetInfo/{mint} HTTP/1.1
Accept: */*
[
  {
    "publicKey": "text",
    "account": {
      "initializerKey": "text",
      "initializerTokenAccount": "text",
      "mint": "text",
      "holder": "text",
      "collection": "text",
      "rate": "text",
      "offerExpiry": "text",
      "rentExpiry": "text",
      "state": {
        "stale": {}
      },
      "minDuration": "text",
      "fixedDuration": "text",
      "ownerRevenue": "text",
      "holderTokenAccount": "text",
      "whitelist": "text",
      "loanExpiry": "text",
      "bidManagerKey": "text",
      "rentIsFixed": true,
      "lockedInVault": true,
      "vaultAccount": "text"
    }
  }
]

Last updated